<?php
if (!defined('INCLUDED_IN_INDEX')) {
    define('INCLUDED_IN_INDEX', true);
}

if (count(get_included_files()) == 1) {
    header("Location: /");
    exit;
}

global $db;

$error = '';
$success = '';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $name = $_POST['name'];
    $surname = $_POST['surname'];
    $patronymic = $_POST['patronymic'];
    $login = $_POST['login'];
    $phone = $_POST['phone'];
    $email = $_POST['email'];
    $password = $_POST['password'];

    $stmt = $db->prepare("SELECT COUNT(*) FROM user WHERE login = ?");
    $stmt->execute([$login]);
    $count = $stmt->fetchColumn();
    
    if ($count > 0) {
        $error = 'Пользователь с таким логином уже существует';
    } else {
        $stmt = $db->prepare("INSERT INTO user (name, surname, patronymic, login, phone, email, password, id_role) VALUES (?, ?, ?, ?, ?, ?, ?, 1)");
        $result = $stmt->execute([$name, $surname, $patronymic, $login, $phone, $email, $password]);
        
        if ($result) {
            $success = 'Регистрация успешна! Теперь вы можете войти в систему.';
        } else {
            $error = 'Ошибка при регистрации';
        }
    }
}
?>

<div class="container mt-5">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card register-card">
                <div class="card-header text-center py-3">
                    <h3>Регистрация</h3>
                </div>
                <div class="card-body p-4">
                    <?php if ($error): ?>
                        <div class="alert alert-danger"><?= $error ?></div>
                    <?php endif; ?>
                    
                    <?php if ($success): ?>
                        <div class="alert alert-success"><?= $success ?></div>
                        <div class="text-center mb-3">
                            <a href="/" class="btn btn-primary">Войти</a>
                        </div>
                    <?php else: ?>
                        <form method="POST">
                            <div class="row">
                                <div class="col-md-4 mb-3">
                                    <label for="surname" class="form-label">Фамилия</label>
                                    <input type="text" class="form-control" id="surname" name="surname" required>
                                </div>
                                <div class="col-md-4 mb-3">
                                    <label for="name" class="form-label">Имя</label>
                                    <input type="text" class="form-control" id="name" name="name" required>
                                </div>
                                <div class="col-md-4 mb-3">
                                    <label for="patronymic" class="form-label">Отчество</label>
                                    <input type="text" class="form-control" id="patronymic" name="patronymic" required>
                                </div>
                            </div>
                            
                            <div class="row">
                                <div class="col-md-6 mb-3">
                                    <label for="phone" class="form-label">Телефон</label>
                                    <input type="tel" class="form-control" id="phone" name="phone" placeholder="+7(XXX)-XXX-XX-XX" required>
                                </div>
                                <div class="col-md-6 mb-3">
                                    <label for="email" class="form-label">Email</label>
                                    <input type="email" class="form-control" id="email" name="email" required>
                                </div>
                            </div>
                            
                            <div class="row">
                                <div class="col-md-6 mb-3">
                                    <label for="login" class="form-label">Логин</label>
                                    <input type="text" class="form-control" id="login" name="login" required>
                                </div>
                                <div class="col-md-6 mb-3">
                                    <label for="password" class="form-label">Пароль</label>
                                    <input type="password" class="form-control" id="password" name="password" required>
                                </div>
                            </div>
                            
                            <div class="d-grid gap-2">
                                <button type="submit" class="btn btn-primary">Зарегистрироваться</button>
                            </div>
                        </form>
                    <?php endif; ?>
                    
                    <div class="text-center mt-3">
                        <p>Уже есть аккаунт? <a href="/" class="login-link">Войти</a></p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script>
    document.getElementById('phone').addEventListener('input', function (e) {
        let x = e.target.value.replace(/\D/g, '').match(/(\d{0,1})(\d{0,3})(\d{0,3})(\d{0,2})(\d{0,2})/);
        e.target.value = !x[2] ? x[1] : '+' + x[1] + '(' + x[2] + ')-' + (x[3] ? x[3] + '-' : '') + (x[4] ? x[4] + '-' : '') + x[5];
    });
</script> 