<?php
session_start();
require_once '../../config.php';

if (!isset($_SESSION['user'])) {
    header("Location: /");
    exit;
}

if ($_SESSION['user']['id_role'] == 2) {
    header("Location: /pages/admin/");
    exit;
}

$user = $_SESSION['user'];

$stmt = $db->prepare("SELECT a.*, s.status, s.code, p.name as pay_name 
                      FROM application a 
                      JOIN status s ON a.id_status = s.id_status 
                      JOIN pay p ON a.id_pay = p.id_pay 
                      WHERE a.id_user = ? 
                      ORDER BY a.date DESC, a.time DESC");
$stmt->execute([$user['id_user']]);
$applications = $stmt->fetchAll(PDO::FETCH_ASSOC);

$pageTitle = 'Мои заказы';
require_once '../../includes/header.php';
?>

<div class="container">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <h5 class="mb-0">Мои заказы</h5>
                </div>
                <div class="card-body">
                    <?php if (count($applications) > 0): ?>
                        <?php foreach ($applications as $app): ?>
                            <?php include '../../templates/application_card.php'; ?>
                        <?php endforeach; ?>
                    <?php else: ?>
                        <div class="text-center py-4">
                            <p class="text-muted">У вас пока нет заказов</p>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
require_once '../../includes/footer.php';
?>